MySQL Version?

Thema wurde von Anonymous, 16. November 2020 erstellt.

  1. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    14. Juni 2018
    Beiträge:
    1.329
    Danke erhalten:
    158
    Danke vergeben:
    821
    Hallo Leute

    Ich wollte mal - aus Neugier - fragen was für eine MySQL Version bei euch so im Einsatz ist?
    Bei uns läuft 5.7 und ich habe das bislang nicht weiter beachtet. Heute aber erfahren das es schon eine wesentlich neuere Version gibt. Überlege nun natürlich meinen Hoster mal darauf anzuhauen. Ist die neuste MySQL Version mit Gambio kompatibel oder könnte es zu Problemen kommen?

    Danke im Vorraus für eure Zeit und Hilfe
     
  2. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.782
    Danke erhalten:
    6.759
    Danke vergeben:
    2.048
    Gambio läuft auch mit MySQL8. Vor kurzem gabs noch einen Bugfix dafür, wenn der Strict Mode auf dem DB Server aktiv ist, dann warfs irgendwo noch Fehler, deswegen sollte der Shop idealerweise 4.2.0.1 oder neuer sein.

    Grosse Performancegewinne würde ich beim Sprung von 5.7 auf 8 nicht erwarten. Relevant ist eher ob die Datenbank MyISAM oder InnoDB als Storage Engine benutzt, wobei InnoDB normal schneller ist. Das funktioniert für die komplette Datenbank nur ab MySQL 5.6 oder höher, respektive MariaDB 10.x.
     
  3. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    14. Juni 2018
    Beiträge:
    1.329
    Danke erhalten:
    158
    Danke vergeben:
    821
    Hmm also wenn ich mich via PHP MyAdmin einlogge sehe ich sowohl InnoDB Einträge als auch MyISAM in ein und derselben Shop DB. Wenn ich das richtig einordne nutzt das Shopsystem wohl ausschliesslich InnoDB und alle externen Module / Plugins MyISAM.
     
  4. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.782
    Danke erhalten:
    6.759
    Danke vergeben:
    2.048
    Das Shopsystem versucht inzwischen ausschliesslich InnoDB zu nutzen, kanns aber nur wenn MySQL mindestens 5.6 ist. Datenbank haben auch eine Standard Storage Engine. Wenn die zum Beispiel noch MyISAM ist und ein Modul eine Tabelle anlegt ohne das genau zu spezifizieren wird die Standard Storage Engine benutzt, das kommt öfter vor. Das ist normal kein Beinbruch, aber meist auch nicht perfekt optimal.